<style>
    .zm-maps {
        width: calc(100% - 30px);
        height: 40%;
        position: relative;
        margin: 30px 15px 20px 15px;
        box-shadow: 0 0.4px 1.2px 0 hsla(0, 0%, 0%, 0.1);
    }

    .zm-maps__holder {
        width: 100%;
        height: 100%;
        position: relative;
        background: #FFF;
        display: flex;
        align-items: center;
    }

    .zm-maps__message {
        width: 100%;
        height: 34px;
        position: relative;
        text-align: center;
        font-weight: 600;
        background: transparent;
    }

    .zm-maps__message-error {
        color: red;
    }
</style>
<div id="maps" class="zm-maps">
    <div id="map" class="zm-maps__holder">
        <div class="zm-maps__message">
            {#if (viewstate === "Loading")}
            <p class="">Loading...</p>
            {/if} {#if (viewstate === "Error")}
            <p class="zm-maps__message-error">Error Loading Maps</p>
            {/if}
        </div>
    </div>
</div>
